MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031642Community[OCCT] OCCT:Visualizationpublic2020-06-30 15:232020-07-04 12:55
Reporterorgot 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031642: Visualization - crash in Graphic3d_Structure::SetVisual() on redisplaying edge in AIS_Shape
DescriptionUsing this sample code in DRAW application result in a crash in OCCT 7.4.0
Steps To ReproduceBRepBuilderAPI_MakeEdge edgeMaker(gp_Pnt(0.0,0.0,0.0), gp_Pnt(100.0, 100.0, 100.0));
Handle(AIS_InteractiveContext) ctx =
Handle(AIS_Shape) ais = new AIS_Shape(TopoDS_Shape());
ctx->Display(ais, false);
ais->Set(edgeMaker.Shape());
ctx->Redisplay(ais, false);
Additional information
and documentation updates
Here -> new AIS_Shape(TopoDS_Shape())
can be replaced with any valid shape and the problem still occurs.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030675closedbugmaster Open CASCADE Visualization - remove redundant proxy classes in hierarchy of PrsMgr_Presentation 

-  Notes
(0092857)
git (administrator)
2020-06-30 18:46

Branch CR31642 has been created by kgv.

SHA-1: deb64dde095e8f07f6ff0eb7839a49635d6fdf6d


Detailed log of new commits:

Author: kgv
Date: Tue Jun 30 18:48:36 2020 +0300

    0031642: Visualization - crash in Graphic3d_Structure::SetVisual() on redisplaying edge in AIS_Shape
    
    Fixed unexpected calling of PrsMgr_Presentation::Erase() from Graphic3d_Structure::SetVisual().
(0092858)
git (administrator)
2020-06-30 19:25

Branch CR31642 has been updated forcibly by kgv.

SHA-1: d8b6ceb1f917be0ec5c02c391362e345d65cb4fd
(0092863)
kgv (developer)
2020-06-30 21:21
edited on: 2020-06-30 21:25

Patch is ready for review in OCCT + OCC Products branch CR31642.

http://jenkins-test-12.nnov.opencascade.com/view/CR31642-CR31642-KGV/ [^]

(0092873)
osa (developer)
2020-07-02 09:11

The patch was reviewed
(0092946)
bugmaster (administrator)
2020-07-04 12:13

Combination -
OCCT branch : IR-2020-07-03
master SHA - 8f5760bc1679b45691fe8ac5fff1a4e978524009
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-03 SHA - 715997b86e7db13b7a7ddd1f26bab717621d84ec
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17174.900000000107 / 17168.64000000016 [+0.04%]
Products
Total CPU difference: 11226.760000000077 / 11202.250000000082 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 18704.34375 / 18712.96875 [-0.05%]
Products
Total CPU difference: 13043.15625 / 13084.109375 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092965)
git (administrator)
2020-07-04 12:52

Branch CR31642 has been deleted by inv.

SHA-1: d8b6ceb1f917be0ec5c02c391362e345d65cb4fd

- Related Changesets
occt: master dad7fede
Timestamp: 2020-06-30 15:48:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031642: Visualization - crash in Graphic3d_Structure::SetVisual() on redisplaying edge in AIS_Shape

Fixed unexpected calling of PrsMgr_Presentation::Erase() from Graphic3d_Structure::SetVisual().
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-30 15:23 orgot New Issue
2020-06-30 15:23 orgot Assigned To => kgv
2020-06-30 17:11 kgv Product Version 7.3.0 => 7.4.0
2020-06-30 17:11 kgv Target Version => 7.5.0*
2020-06-30 17:15 kgv Relationship added child of 0030675
2020-06-30 18:45 kgv Summary [OCCT 7.4.0] Crash when redisplaying edge in AIS_Shape => Visualization - crash in Graphic3d_Structure::SetVisual() on redisplaying edge in AIS_Shape
2020-06-30 18:46 git Note Added: 0092857
2020-06-30 19:25 git Note Added: 0092858
2020-06-30 21:21 kgv Note Added: 0092863
2020-06-30 21:21 kgv Assigned To kgv => osa
2020-06-30 21:21 kgv Status new => resolved
2020-06-30 21:22 kgv Severity crash => minor
2020-06-30 21:25 kgv Note Edited: 0092863 View Revisions
2020-07-02 09:11 osa Note Added: 0092873
2020-07-02 09:11 osa Assigned To osa => bugmaster
2020-07-02 09:11 osa Status resolved => reviewed
2020-07-04 12:13 bugmaster Note Added: 0092946
2020-07-04 12:13 bugmaster Status reviewed => tested
2020-07-04 12:23 bugmaster Changeset attached => occt master dad7fede
2020-07-04 12:23 bugmaster Status tested => verified
2020-07-04 12:23 bugmaster Resolution open => fixed
2020-07-04 12:30 bugmaster Test case number => Not required
2020-07-04 12:52 git Note Added: 0092965


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker